Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.groovy
Class GroovyPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.groovy.GroovyPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

Direct Known Subclasses:
  GroovyPortletHeaderPhaseSupport

public class GroovyPortlet
extends javax.portlet.GenericPortlet

GroovyPortlet parses and invokes a groovy-scripted portlet. A groovy-scripted portlet just need to be implemented like any other Java-based portlet. So, a groovy-scripted portlet can support full features of JSR-168 portlet.

Author:
  Woonsan Ko

Field Summary
`static String` | `AUTO_REFRESH_INIT_PARAM`
`protected boolean` | `autoRefresh`
`protected groovy.lang.GroovyClassLoader` | `groovyClassLoader`
`protected groovy.lang.GroovyCodeSource` | `groovyCodeSource`
`protected long` | `parsedFileLastModified`
`protected javax.portlet.PortletConfig` | `portletConfig`
`protected Method` | `portletDoEditMethod`
`static String` | `SCRIPT_SOURCE_INIT_PARAM`
`static String` | `SCRIPT_SOURCE_URL_ENCODING_INIT_PARAM`
`protected javax.portlet.GenericPortlet` | `scriptGenericPortletInstance`
`protected javax.portlet.Portlet` | `scriptPortletInstance`
`protected String` | `scriptSourceUri`
`protected String` | `scriptSourceUriEncoding`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`GroovyPortlet()`

Method Summary
`protected void` | `createScriptPortletInstance()`
`void` | `destroy()`
`void` | `doEdit(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`javax.portlet.PortletConfig` | `getPortletConfig()`
`void` | `init(javax.portlet.PortletConfig config)`
`protected boolean` | `isScriptFileModified()`
`void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`
`protected void` | `refreshPortletInstance()`
`void` | `render(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`

Methods inherited from class javax.portlet.GenericPortlet
`doDispatch, doHelp, doView, getInitParameter, getInitParameterNames, getPortletContext, getPortletName, getResourceBundle, getTitle, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCRIPT_SOURCE_INIT_PARAM

    public static final String SCRIPT_SOURCE_INIT_PARAM

See Also:
  Constant Field Values

### SCRIPT_SOURCE_URL_ENCODING_INIT_PARAM

    public static final String SCRIPT_SOURCE_URL_ENCODING_INIT_PARAM

See Also:
  Constant Field Values

### AUTO_REFRESH_INIT_PARAM

    public static final String AUTO_REFRESH_INIT_PARAM

See Also:
  Constant Field Values

### portletConfig

    protected javax.portlet.PortletConfig portletConfig

### scriptSourceUri

    protected String scriptSourceUri

### scriptSourceUriEncoding

    protected String scriptSourceUriEncoding

### autoRefresh

    protected boolean autoRefresh

### parsedFileLastModified

    protected long parsedFileLastModified

### groovyCodeSource

    protected groovy.lang.GroovyCodeSource groovyCodeSource

### scriptPortletInstance

    protected javax.portlet.Portlet scriptPortletInstance

### scriptGenericPortletInstance

    protected javax.portlet.GenericPortlet scriptGenericPortletInstance

### portletDoEditMethod

    protected Method portletDoEditMethod

### groovyClassLoader

    protected groovy.lang.GroovyClassLoader groovyClassLoader

Constructor Detail

### GroovyPortlet

    public GroovyPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### destroy

    public void destroy()

### processAction

    public void processAction(javax.portlet.ActionRequest request,
                              javax.portlet.ActionResponse response)
                       throws javax.portlet.PortletException,
                              IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### render

    public void render(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### getPortletConfig

    public javax.portlet.PortletConfig getPortletConfig()

### doEdit

    public void doEdit(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### refreshPortletInstance

    protected void refreshPortletInstance()
                                   throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### isScriptFileModified

    protected boolean isScriptFileModified()

### createScriptPortletInstance

    protected void createScriptPortletInstance()
                                        throws org.codehaus.groovy.control.CompilationFailedException,
                                               InstantiationException,
                                               IOException,
                                               IllegalAccessException,
                                               javax.portlet.PortletException

  Throws:
    `org.codehaus.groovy.control.CompilationFailedException`
    `InstantiationException`
    `IOException`
    `IllegalAccessException`
    `javax.portlet.PortletException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.